/*
 * @Author: wuhao930406 1148547900@qq.com
 * @Date: 2023-10-17 10:14:53
 * @LastEditors: wuhao930406 1148547900@qq.com
 * @LastEditTime: 2023-10-19 14:58:59
 * @FilePath: /standaloneframe/frontend/config/routes.js
 * @Description:
 *
 * Copyright (c) 2023 by ${git_name_email}, All Rights Reserved.
 */
export default [
  {
    path: "/user",
    layout: false,
    routes: [
      {
        path: "/user",
        routes: [
          {
            name: "登录",
            path: "/user/login",
            component: "./Login",
          },
        ],
      },
    ],
  },
  {
    path: "/",
    name: "欢迎使用",
    component: "@/layouts/layout",
    routes: [
      {
        path: "/",
        redirect: "/home",
      },
      {
        name: "首页",
        path: "/home",
        component: "./index",
      },
      {
        name: "系统管理",
        path: "/system",
        icon: "setting",
        routes: [
          {
            path: "/system",
            redirect: "/system/role",
          },
          {
            name: "角色管理",
            path: "/system/role",
            component: "./system/Role",
          },
          {
            name: "用户管理",
            path: "/system/user",
            component: "./system/User",
          },
          {
            name: "数据字典",
            path: "/system/dictionary",
            component: "./system/Dictionary",
          },
          {
            name: "组织管理",
            path: "/system/department",
            component: "./system/Department",
          },
          {
            name: "组织管理",
            path: "/system/factory",
            component: "./system/Factory",
          },
          {
            component: "./404",
          },
        ],
      },
      {
        name: "基础数据",
        path: "/basicdata",
        icon: "database",
        routes: [
          {
            path: "/basicdata",
            redirect: "/basicdata/warehouse",
          },
          {
            name: "仓库管理",
            path: "/basicdata/warehouse",
            component: "./basicdata/Warehouse",
          },
          {
            name: "库位管理",
            path: "/basicdata/kuwei",
            component: "./basicdata/Kuwei",
          },
          {
            name: "工位管理",
            path: "/basicdata/station",
            component: "./basicdata/Station",
          },
          {
            name: "物料管理",
            path: "/basicdata/material",
            component: "./basicdata/Material",
          },
          {
            component: "./404"
          },
        ],
      },
      {
        name: "入库管理",
        path: "/instore",
        icon: "import",
        routes: [
          {
            path: "/instore",
            redirect: "/instore/manage",
          },
          {
            name: "装配入库",
            path: "/instore/instoreapplication",
            component: "./instore/Instoreapplication",
          },
          {
            name: "生产退料",
            path: "/instore/backapplication",
            component: "./instore/Backapplication",
          },
          {
            name: "入库单管理",
            path: "/instore/manage",
            component: "./instore/Manage",
          },
          {
            component: "./404"
          },
        ],
      },
      {
        name: "出库管理",
        path: "/outstore",
        icon: "export",
        routes: [
          {
            path: "/outstore",
            redirect: "/outstore/material",
          },
          {
            name: "叫料申请单",
            path: "/outstore/material",
            component: "./outstore/Material",
          },
          {
            name: "检验出库申请",
            path: "/outstore/inspect",
            component: "./outstore/Inspect",
          },
          {
            name: "出库单管理",
            path: "/outstore/outbound",
            component: "./outstore/Outbound",
          },
          {
            name: "调拨单管理",
            path: "/outstore/allot",
            component: "./outstore/Allot",
          },
          {
            name: "移库单管理",
            path: "/outstore/relocation",
            component: "./outstore/Relocation",
          },
          {
            component: "./404",
          },
        ],
      },
      {
        name: "库存管理",
        path: "/inventory",
        icon: "credit-card",
        routes: [
          {
            path: "/inventory",
            redirect: "/inventory/inventoryquery",
          },
          {
            name: "库存查询",
            path: "/inventory/inventoryquery",
            component: "./inventory/Inventoryquery",
          },
          {
            name: "出入库明细",
            path: "/inventory/Inoutstoragedetail",
            component: "./inventory/Inoutstoragedetail",
          },
          {
            component: "./404",
          },
        ],
      },
      {
        name: "托盘管理",
        path: "/tray",
        icon: "inbox",
        routes: [
          {
            path: "/tray",
            redirect: "/tray/traymanage",
          },
          {
            name: "托盘管理",
            path: "/tray/traymanage",
            component: "./tray/Traymanage",
          },
          {
            name: "空托盘调拨",
            path: "/tray/allot",
            component: "./tray/Allot",
          },
          {
            component: "./404"
          },
        ],
      }, 
      {
        name: "任务管理",
        path: "/task",
        icon: "ordered-list",
        routes: [
          {
            path: "/task",
            redirect: "/task/taskmanage",
          },
          {
            name: "任务管理",
            path: "/task/taskmanage",
            component: "./task/Taskmanage",
          },
          {
            name: "异常管理",
            path: "/task/exceptionmanagement",
            component: "./task/Exceptionmanagement",
          },
          {
            component: "./404"
          },
        ],
      },
      {
        component: "./404",
      },
    ],
  },
  {
    component: "./404",
  },
];
